div.dataTables_wrapper div.dataTables_filter {
    padding: 15px;
    margin: 5px;
}
.dataTables_wrapper .dataTables_length {
    padding: 15px !important;
    margin: 5px !important;
}
div.dataTables_wrapper div.dataTables_paginate {
    margin: 20px 21px 20px 21px;
}
div.dataTables_wrapper div.dataTables_info {
    margin: 20px 21px 20px 21px;
}

table.dataTable.no-footer {
    border-bottom: none;
    /*border-bottom: 1px solid #111;*/
}
.btn-action{
    padding: 0 2px;
    border: none;
    font-size: 20px;
    background-color: transparent !important;
}
td {
    vertical-align: middle;
}
.form-control-danger {
    border-color: #d22d3d !important;
    color: #d22d3d !important;
    border-style: solid !important;
}

ul.fancytree-container {
    border: none;
}

.page-wrapper.compact-wrapper .page-body-wrapper header.main-nav .main-navbar .nav-menu {
    height: calc(100vh - 100px);
}
/*copied from theme*/
.dataTables_wrapper .dataTables_filter input[type="search"] {
    border: 1px solid #efefef;
    padding: 0 10px;
    margin-left: 10px;
    height: 37px;
    border-radius: 0; }
.dataTables_wrapper .dataTables_paginate {
    margin-left: 15px !important;
    border: 1px solid #e6edef;
    border-radius: 0.25rem;
    padding-top: 0; }
.dataTables_wrapper .dataTables_paginate .paginate_button {
    margin: 0; }
.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button:active {
    background: #24695c;
    color: #fff !important;
    -webkit-box-shadow: none;
    box-shadow: none; }
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    border: 1px solid #24695c;
    color: #2c323f !important;
    background: transparent !important; }
.dataTables_wrapper .dataTables_filter input[type="search"] {
    border: 1px solid #efefef;
    padding: 0 10px;
    margin-left: 10px;
    height: 37px;
    border-radius: 0; }
.img-contain {
    width: fit-content;
    height: 100px;
    object-fit: cover;
}


.email-wrap .email-body .email-compose .cke_contents.cke_reset {
    max-height: 600px;
}

.form-control, .form-select {
    color: #242934;
}

.file-content .file-controls {
    position: absolute;
    top: 25px;
    right: 25px;
    /*opacity: 0.7;*/
    border-radius: 5px;
    font-size: 14px;
    background-color: #ffffff;
    border-style: solid;
    border-width: 1px;
    border-color: #000000;
}


/* The Modal (background) */
.image-full-modal {
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.6); /* Black w/ opacity */
}

/* Modal Content (Image) */
.image-full-modal .modal-content {
    margin: auto;
    display: block;
    width: 80%;
    /*max-width: 700px;*/
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
.image-full-modal #caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
    font-size: 16px;
    font-weight: 600;
}

/* Add Animation - Zoom in the Modal */
.image-full-modal .modal-content, .image-full-modal #caption {
    animation-name: zoom;
    animation-duration: 0.6s;
}

.image-full-modal @keyframes zoom {
    from {transform:scale(0)}
    to {transform:scale(1)}
}

/* The Close Button */
.image-full-modal .close {
    position: absolute;
    top: 0;
    right: 0;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.image-full-modal .close:hover,
.image-full-modal .close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
    .image-full-modal .modal-content {
        width: 100%;
    }
}
